#version 330 core

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 uv;

out vec3 position_out;

uniform mat4 modelMatrix;
uniform mat4 viewProjMatrix;
uniform mat3 normalMatrix;

void main() {
	vec4 position_world_ = modelMatrix * vec4(position, 1);
	position_out = position;
	gl_Position = viewProjMatrix * position_world_;
}